summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/maps/vmap_unary
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/maps/vmap_unary')
-rwxr-xr-xtests/shell/testcases/maps/vmap_unary19
1 files changed, 19 insertions, 0 deletions
diff --git a/tests/shell/testcases/maps/vmap_unary b/tests/shell/testcases/maps/vmap_unary
new file mode 100755
index 00000000..f4e1f012
--- /dev/null
+++ b/tests/shell/testcases/maps/vmap_unary
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+# NFT_TEST_REQUIRES(NFT_TEST_HAVE_pipapo)
+
+set -e
+
+RULESET="table ip filter {
+ map ipsec_in {
+ typeof ipsec in reqid . iif : verdict
+ flags interval
+ }
+
+ chain INPUT {
+ type filter hook input priority 0; policy drop
+ ipsec in reqid . iif vmap @ipsec_in
+ }
+}"
+
+$NFT -f - <<< $RULESET